Bug 2034504 - Cloud controller manager operator can't get leader lease when upgrading from 4.8 up to 4.9
Summary: Cloud controller manager operator can't get leader lease when upgrading from ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.z
Assignee: Joel Speed
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On: 2028054
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-21 07:34 UTC by OpenShift BugZilla Robot
Modified: 2022-04-11 08:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-10 08:50:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-cloud-controller-manager-operator pull 162 0 None open [release-4.9] Bug 2034504: Ensure old deployment is deleted before new deployment creation 2021-12-25 01:00:35 UTC
Red Hat Product Errata RHBA-2022:0029 0 None None None 2022-01-10 08:51:15 UTC

Comment 4 sunzhaohua 2022-01-07 10:08:10 UTC
I tested upgrade from 4.8.26-x86_64--> 4.9.0-0.nightly-2022-01-06-181405 and checked QE upgrade CI results, no upgrade hangs at cloud-controller-manager. Move this to Verified.

Comment 7 errata-xmlrpc 2022-01-10 08:50:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0029


Note You need to log in before you can comment on or make changes to this bug.